[arch-commits] Commit in mjpegtools/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 17:49:02 EDT 2009


    Date: Saturday, April 4, 2009 @ 17:49:02
  Author: jgc
Revision: 33849

Merged revisions 356,33745 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/mjpegtools/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r33745 | jgc | 2009-04-04 19:18:41 +0000 (Sat, 04 Apr 2009) | 2 lines
  
  upgpkg: mjpegtools 1.9.0-1
      Fix CPU optimizations correctly
........

Modified:
  mjpegtools/repos/extra-i686/	(properties)
  mjpegtools/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)


Property changes on: mjpegtools/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /mjpegtools/trunk:1
   + /mjpegtools/trunk:1-33848

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-04 21:47:42 UTC (rev 33848)
+++ extra-i686/PKGBUILD	2009-04-04 21:49:02 UTC (rev 33849)
@@ -3,28 +3,26 @@
 # Mantainer: Roberto Carvajal <roberto at archlinux.org>
 
 pkgname=mjpegtools
-pkgver=1.8.0
-pkgrel=3
-pkgdesc="The mjpeg programs are a set of tools that can do recording of videos and playback, simple cut-and-paste editing and the MPEG compression of audio and video under Linux. "
+pkgver=1.9.0
+pkgrel=1
+pkgdesc="Set of tools that can do recording of videos and playback, simple cut-and-paste editing and the MPEG compression of audio and video"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://mjpeg.sourceforge.net/"
-depends=('libjpeg' 'libpng' 'sdl' 'gcc' 'libdv')
+depends=('libjpeg' 'libpng' 'sdl' 'gcc-libs' 'libdv')
 makedepends=('gtk2')
+optdepends=('gtk2: glav GUI')
 options=('!makeflags' '!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/mjpeg/${pkgname}-${pkgver}.tar.gz
-	mjpegtools-1.8.0-gcc41.patch)
-md5sums=('6fd98362310480bdaf7171e9659f165f' '803eccd889c60a442ee23ba65951fadc')
+source=(http://downloads.sourceforge.net/sourceforge/mjpeg/${pkgname}-${pkgver}.tar.gz)
+md5sums=('309a6fcf0900a010d6a9c1e91afc2f5c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/mjpegtools-1.8.0-gcc41.patch || return 1
-  ./configure --prefix=/usr
-  find -name Makefile -exec sed -i -e 's:-march=k8 -mtune=k8::' -e 's:-march=pentium3 -mtune=pentium3::' {} \;
-
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  sed -i -e '/ARCHFLAGS=/s:=.*:=:' configure || return 1
+  ./configure --prefix=/usr --enable-largefile || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
 
   install -m644 mpeg2enc/mpeg2syntaxcodes.h \
-      ${startdir}/pkg/usr/include/mjpegtools/mpeg2enc/
+      "${pkgdir}/usr/include/mjpegtools/mpeg2enc/" || return 1
 }



More information about the arch-commits mailing list